/* 
 * File:   get_calibration_for_run.cpp
 * Author: martynia
 *
 * Created on August 8, 2016, 12:36 PM
 */

#include <iostream>
#include <calibration/calibration.h>
#include <exception>
#include <CalibrationImplPortBinding.nsmap>

using namespace std;

/*
 * An example to run a calibration getter.
 * run with TOF1 t0 2279 for example or with a non existent detector or run 
 * to see exceptions.
 */
int main(int argc, char** argv) {

    if (argc != 4) {
        std::cerr << " Please supply exactly 3 arguments: detector, type  and run_number" << std::endl;
        return 1;
    }
    std::string runs(argv[3]);

    MAUS::CDB::Calibration calibration; // define calibration with the default ws endpoint (production DB)
    std::string result;  // gets passed by reference and will hold the data from the server.
    try {
        std::string status;
        calibration.getStatus(status);
        std::cout << " Calibration status returned " << status << std::endl;        
        int run = std::stoi(runs); // could throw bad_argument or out_of_range, caught below.
        calibration.getDetectorCalibrationForRun(argv[1], argv[2], run, result);
        std::cout << result << std::endl;

    } catch (std::exception &e) {
        std::cerr << e.what() << std::endl;
    }
    return 0;
}

