/* 
 * File:   cabling.h
 * Author: martynia
 *
 * Created on August 8, 2016, 11:20 AM
 */
#include<iostream>
#include<soapCablingImplPortBindingProxy.h>

#ifndef CABLING_H
#define	CABLING_H

namespace MAUS {
    namespace CDB {

        class Cabling {
        private:
            const char *endpoint;
            CablingImplPortBindingProxy proxy;
            void wrapCDBException();
        public:
/**
 * The default constructor for Cabling. The endpoint to connect to is determined at gSOAP
 * binding generation stage and it is set to the public CDB endpoint for a service at (<a href="http://cdb.mice.rl.ac.uk/cdb"> cdb.mice.rl.ac.uk </a>)
 */
            Cabling() : endpoint(NULL) {
            };
/**
 * The custom constructor. Use if a non standard enpoint is required.
 * @param endp Web Service endpoint (fully qualified, i.e. http://cdb.mice.rl.ac.uk:80/cdb/cabling )
 */
            Cabling(const char *endp) : endpoint(endp) {
            };
            void getCurrentDetectorCabling(const char *device, std::string& result);
            void getDetectorCablingForDate(const char *device, char *timestamp, std::string& result);
            void getDetectorCablingForRun(const char *device, int runNo, std::string& result);
            void getDetectorCablingForId(int id, std::string& result);
            void getStatus(std::string &result);
            virtual ~Cabling();
        };
    }
}
#endif	/* CABLING_H */

