/* 
 * File:   calibration.h
 * Author: martynia
 *
 * Created on August 15, 2016, 12:07 PM
 */

#include<iostream>
#include<soapCalibrationImplPortBindingProxy.h>

#ifndef CALIBRATION_H
#define	CALIBRATION_H

namespace MAUS {
    namespace CDB {

        class Calibration {
        private:
            const char *endpoint;
            CalibrationImplPortBindingProxy proxy;
            void wrapCDBException();
        public:
/**
 * The default constructor for Calibration. The endpoint to connect to is determined at gSOAP
 * binding generation stage and it is set to the public CDB endpoint for a service at (<a href="http://cdb.mice.rl.ac.uk/cdb"> cdb.mice.rl.ac.uk </a>)
 */
            Calibration() : endpoint(NULL) {
            };
/**
 * The custom constructor. Use if a non standard enpoint is required.
 * @param endp Web Service endpoint (fully qualified, i.e. http://cdb.mice.rl.ac.uk:80/cdb/calibration )
 */
            Calibration(const char* endp) : endpoint(endp) {
            };
            void getCurrentDetectorCalibration(char* device, char* type, std::string& result);
            void getDetectorCalibrationForDate(const char *device, const char *type, const char *timestamp, std::string& result);
            void getDetectorCalibrationForRun(const char *device, const char *type, int runNo, std::string& result);
            void getDetectorCalibrationForId(int id,  std::string& result);
            void getStatus(std::string &result);
            virtual ~Calibration();
        };
    }
}
#endif	/* CALIBRATION_H */

