/* 
 * File:   CDBException.cpp
 * Author: martynia
 * 
 * Created on August 8, 2016, 4:59 PM
 */

#include "base/CDBException.h"
#include <iostream>

namespace MAUS {
    namespace CDB {

        CDBException::CDBException() _NOEXCEPT {
        }

        CDBException::CDBException(const CDBException& orig) _NOEXCEPT try : exception(orig), message(orig.message) {

        } catch (std::bad_alloc) {
            std::cerr << " cannot allocate memory of an exception message !" << std::endl;
        } catch (...) {
            std::cerr << " error when creating a CDB exception (other than bad_alloc) !" << std::endl;
        }

        CDBException::CDBException(std::string& msg) _NOEXCEPT try : message(msg) {

        } catch (std::bad_alloc) {
            std::cerr << " cannot allocate memory of an exception message !" << std::endl;
        } catch (...) {
            std::cerr << " error when creating a CDB exception (other than bad_alloc) !" << std::endl;
        }

        const char* CDBException::what() const _NOEXCEPT {
            return message.c_str();
        }

        CDBException& CDBException::operator=(const CDBException& rhs) _NOEXCEPT {
            exception::operator=(rhs);
            message = rhs.message;
            return *this;
        }

        CDBException::~CDBException() _NOEXCEPT {
        }

    }
}

