/* 
 * File:   CDBPermanentException.cpp
 * Author: martynia
 * 
 * Created on August 10, 2016, 11:18 AM
 */

#include "base/CDBPermanentException.h"
#include <string>

namespace MAUS {
    namespace CDB {

        CDBPermanentException::CDBPermanentException() _NOEXCEPT {
        }

        CDBPermanentException::CDBPermanentException(const CDBPermanentException& orig) _NOEXCEPT : CDBException::CDBException(orig) {
        }

        CDBPermanentException::CDBPermanentException(std::string& message) _NOEXCEPT : CDBException::CDBException(message) {
            std::string prefix = "CDB PERM ERROR: ";
            this->message = prefix + message;
        }

        CDBPermanentException& CDBPermanentException::operator=(const CDBPermanentException& rhs) _NOEXCEPT {
            CDBException::operator=(rhs);
            return *this;
        }

        CDBPermanentException::~CDBPermanentException() _NOEXCEPT {
        }

    }
}
