/* 
 * File:   CDBTemporaryException.cpp
 * Author: martynia
 * 
 * Created on August 10, 2016, 11:18 AM
 */

#include "base/CDBTemporaryException.h"
#include <string>

namespace MAUS {
    namespace CDB {

        CDBTemporaryException::CDBTemporaryException() _NOEXCEPT {
        }

        CDBTemporaryException::CDBTemporaryException(const CDBTemporaryException& orig) _NOEXCEPT : CDBException::CDBException(orig) {
        }

        CDBTemporaryException::CDBTemporaryException(std::string& message) _NOEXCEPT : CDBException::CDBException(message) {
            std::string prefix = "CDB TEMP ERROR: ";
            this->message = prefix + message;
        }

        CDBTemporaryException& CDBTemporaryException::operator=(const CDBTemporaryException& rhs) _NOEXCEPT {
            CDBException::operator=(rhs);
            return *this;
        }

        CDBTemporaryException::~CDBTemporaryException() _NOEXCEPT {
        }

    }
}
